Bug 887453 - White widget fonts in brigth panel in GTK2 theme under Xfce
Summary: White widget fonts in brigth panel in GTK2 theme under Xfce
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: zukitwo
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mattia M.
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-15 12:44 UTC by Maciek Borzecki
Modified: 2014-02-05 22:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 22:55:12 UTC
Type: Bug


Attachments (Terms of Use)
patch against zukitwo RPM package (2.61 KB, patch)
2012-12-15 12:44 UTC, Maciek Borzecki
no flags Details | Diff

Description Maciek Borzecki 2012-12-15 12:44:26 UTC
Created attachment 663989 [details]
patch against zukitwo RPM package

Description of problem:
When running Xfce with zukitwo theme selected, the color of fonts in Xfce panel is white. Given that the panel itself is quite bright (panel background style set to none aka. 'use system style'), the text in the labels is not visible.

Version-Release number of selected component (if applicable):
zukitwo-gtk2-theme-20121211-1.fc18.noarch
xfce4-panel-4.10.0-2.fc18.x86_64

How reproducible:
Always

Steps to Reproduce:
1. use zukitwo as gtk2 theme
2. make sure that panel background style is set to none
3.
  
Actual results:
white fonts on bright background

Expected results:
black/dark fonts on bright background

Additional info:
patch against zukitwo RPM package attached

Comment 1 Mattia M. 2012-12-17 08:34:51 UTC
Thank you.
Since I think that the changes you're suggesting can be useful upstream, I've told the theme creator about the issue and suggested him to integrate the contents of your patch.

Comment 2 Mattia M. 2012-12-17 10:05:20 UTC
The theme author has already answered me:

"The reason for this is to be able to properly use a custom transparent background image for the panel. It has been a while since I last tried with this patch. (I'm aware of it.) But back then some applets just didn't want to properly become transparent, so I made it so the user have to specify a custom background image. But maybe this has been fixed in the troublesome XFCE panel applets, I'll have to take another look I suppose."

http://comments.deviantart.com/1/203936861/2863624675

Comment 3 Maciek Borzecki 2012-12-17 10:24:18 UTC
(In reply to comment #2)
> The theme author has already answered me:
> 
> "The reason for this is to be able to properly use a custom transparent
> background image for the panel. It has been a while since I last tried with
> this patch. (I'm aware of it.) But back then some applets just didn't want
> to properly become transparent, so I made it so the user have to specify a
> custom background image. But maybe this has been fixed in the troublesome
> XFCE panel applets, I'll have to take another look I suppose."
> 
> http://comments.deviantart.com/1/203936861/2863624675

Thanks for reporting back. Let's see what feedback will the upstream have.

Comment 4 Fedora End Of Life 2013-12-21 15:14:56 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2014-02-05 22:55:12 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.